Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class ToolBarTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.ToolBarTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ToolBarTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`ToolBarTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setContentClass(javax.el.ValueExpression __contentClass)` Assigns one or more space-separated CSS class names to the tool bar content Setter for contentClass
`void` | `setContentStyle(javax.el.ValueExpression __contentStyle)` CSS style rules to be applied to the tool bar content Setter for contentStyle
`void` | `setHeight(javax.el.ValueExpression __height)` A height of a bar in pixels.
`void` | `setItemSeparator(javax.el.ValueExpression __itemSeparator)` A separator between items on a bar.
`void` | `setOnitemclick(javax.el.ValueExpression __onitemclick)` The client-side script method to be called when an item is clicked Setter for onitemclick
`void` | `setOnitemdblclick(javax.el.ValueExpression __onitemdblclick)` The client-side script method to be called when an item is double-clicked Setter for onitemdblclick
`void` | `setOnitemkeydown(javax.el.ValueExpression __onitemkeydown)` The client-side script method to be called when a key is pressed down over an item Setter for onitemkeydown
`void` | `setOnitemkeypress(javax.el.ValueExpression __onitemkeypress)` The client-side script method to be called when a key is pressed and released over an item Setter for onitemkeypress
`void` | `setOnitemkeyup(javax.el.ValueExpression __onitemkeyup)` The client-side script method to be called when a key is released over an item Setter for onitemkeyup
`void` | `setOnitemmousedown(javax.el.ValueExpression __onitemmousedown)` The client-side script method to be called when a mouse button is pressed down over an item Setter for onitemmousedown
`void` | `setOnitemmousemove(javax.el.ValueExpression __onitemmousemove)` The client-side script method to be called when a pointer is moved within an item Setter for onitemmousemove
`void` | `setOnitemmouseout(javax.el.ValueExpression __onitemmouseout)` The client-side script method to be called when a pointer is moved away from an item Setter for onitemmouseout
`void` | `setOnitemmouseover(javax.el.ValueExpression __onitemmouseover)` The client-side script method to be called when a pointer is moved onto an item Setter for onitemmouseover
`void` | `setOnitemmouseup(javax.el.ValueExpression __onitemmouseup)` The client-side script method to be called when a mouse button is released over an item Setter for onitemmouseup
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setSeparatorClass(javax.el.ValueExpression __separatorClass)` Assigns one or more space-separated CSS class names to the tool bar separators Setter for separatorClass
`void` | `setWidth(javax.el.ValueExpression __width)` A width of a bar that can be defined in pixels or as percentage.

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### ToolBarTag

    public ToolBarTag()

Method Detail

### setContentClass

    public void setContentClass(javax.el.ValueExpression __contentClass)

  Assigns one or more space-separated CSS class names to the tool bar content Setter for contentClass

  Parameters:
    `contentClass` - - new value

### setContentStyle

    public void setContentStyle(javax.el.ValueExpression __contentStyle)

  CSS style rules to be applied to the tool bar content Setter for contentStyle

  Parameters:
    `contentStyle` - - new value

### setHeight

    public void setHeight(javax.el.ValueExpression __height)

  A height of a bar in pixels. If a height is not defined, a bar height depends of the "headerFontSize" skin parameter. Setter for height

  Parameters:
    `height` - - new value

### setItemSeparator

    public void setItemSeparator(javax.el.ValueExpression __itemSeparator)

  A separator between items on a bar. Possible values are "none", "line", "square", "disc" and "grid". Default value is "none". Setter for itemSeparator

  Parameters:
    `itemSeparator` - - new value

### setOnitemclick

    public void setOnitemclick(javax.el.ValueExpression __onitemclick)

  The client-side script method to be called when an item is clicked Setter for onitemclick

  Parameters:
    `onitemclick` - - new value

### setOnitemdblclick

    public void setOnitemdblclick(javax.el.ValueExpression __onitemdblclick)

  The client-side script method to be called when an item is double-clicked Setter for onitemdblclick

  Parameters:
    `onitemdblclick` - - new value

### setOnitemkeydown

    public void setOnitemkeydown(javax.el.ValueExpression __onitemkeydown)

  The client-side script method to be called when a key is pressed down over an item Setter for onitemkeydown

  Parameters:
    `onitemkeydown` - - new value

### setOnitemkeypress

    public void setOnitemkeypress(javax.el.ValueExpression __onitemkeypress)

  The client-side script method to be called when a key is pressed and released over an item Setter for onitemkeypress

  Parameters:
    `onitemkeypress` - - new value

### setOnitemkeyup

    public void setOnitemkeyup(javax.el.ValueExpression __onitemkeyup)

  The client-side script method to be called when a key is released over an item Setter for onitemkeyup

  Parameters:
    `onitemkeyup` - - new value

### setOnitemmousedown

    public void setOnitemmousedown(javax.el.ValueExpression __onitemmousedown)

  The client-side script method to be called when a mouse button is pressed down over an item Setter for onitemmousedown

  Parameters:
    `onitemmousedown` - - new value

### setOnitemmousemove

    public void setOnitemmousemove(javax.el.ValueExpression __onitemmousemove)

  The client-side script method to be called when a pointer is moved within an item Setter for onitemmousemove

  Parameters:
    `onitemmousemove` - - new value

### setOnitemmouseout

    public void setOnitemmouseout(javax.el.ValueExpression __onitemmouseout)

  The client-side script method to be called when a pointer is moved away from an item Setter for onitemmouseout

  Parameters:
    `onitemmouseout` - - new value

### setOnitemmouseover

    public void setOnitemmouseover(javax.el.ValueExpression __onitemmouseover)

  The client-side script method to be called when a pointer is moved onto an item Setter for onitemmouseover

  Parameters:
    `onitemmouseover` - - new value

### setOnitemmouseup

    public void setOnitemmouseup(javax.el.ValueExpression __onitemmouseup)

  The client-side script method to be called when a mouse button is released over an item Setter for onitemmouseup

  Parameters:
    `onitemmouseup` - - new value

### setSeparatorClass

    public void setSeparatorClass(javax.el.ValueExpression __separatorClass)

  Assigns one or more space-separated CSS class names to the tool bar separators Setter for separatorClass

  Parameters:
    `separatorClass` - - new value

### setWidth

    public void setWidth(javax.el.ValueExpression __width)

  A width of a bar that can be defined in pixels or as percentage. Default value is &quot;100%&quot;. Setter for width

  Parameters:
    `width` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.